Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Class CMCatalogQueryManagerBean

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.query.CMCatalogQueryManagerBean

All Implemented Interfaces
  CatalogQueryManagerBusiness, Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated

    @Deprecated
    public class CMCatalogQueryManagerBean

extends CatalogServiceImpl
implements CatalogQueryManagerBusiness

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CMCatalogQueryManagerBean()` Deprecated

Method Summary
`ProductItemKey[]` | `search(CatalogRequest request, CatalogQuery query)` Deprecated Returns the results of the search peformed using the supplied catalog query object.
`ViewIterator` | `search(CatalogRequest request, CatalogQuery query, int viewSize)` Deprecated Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.
`CategoryKey[]` | `searchCategories(CatalogRequest request, CatalogQuery query)` Deprecated Returns the results of the search peformed using the supplied catalog query object for categories.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`ejbActivate, ejbCreate, ejbPassivate, ejbPostCreate, ejbRemove, getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, setSessionContext, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMCatalogQueryManagerBean

    public CMCatalogQueryManagerBean()

  Deprecated

Method Detail

### search

    public ProductItemKey[] search(CatalogRequest request,
                                   CatalogQuery query)
                            throws RemoteException,
                                   CatalogException

  Deprecated
  Description copied from interface: `CatalogQueryManagerBusiness`
  Returns the results of the search peformed using the supplied catalog query object.

  Specified by:
    `search` in interface `CatalogQueryManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `query` - The catalog query object.
  Returns
    An array of product item keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### searchCategories

    public CategoryKey[] searchCategories(CatalogRequest request,
                                          CatalogQuery query)
                                   throws RemoteException,
                                          CatalogException

  Deprecated
  Description copied from interface: `CatalogQueryManagerBusiness`
  Returns the results of the search peformed using the supplied catalog query object for categories.

  Specified by:
    `searchCategories` in interface `CatalogQueryManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `query` - The catalog query object.
  Returns
    An array of category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### search

    public ViewIterator search(CatalogRequest request,
                               CatalogQuery query,
                               int viewSize)
                        throws RemoteException,
                               CatalogException

  Deprecated
  Description copied from interface: `CatalogQueryManagerBusiness`
  Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.

  Specified by:
    `search` in interface `CatalogQueryManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `query` - The catalog query object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over the product items returned by the search.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.